# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global modname flask-multistatic
%global sum A simple flask plugin to allow overriding static files

Name:               python-flask-multistatic
Version:            1.0
Release:            alt1_7
Summary:            %{sum}
Group:              Development/Python
License:            BSD
URL:                https://pagure.io/flask-multistatic/
Source0:            https://pypi.python.org/packages/source/f/flask-multistatic/flask-multistatic-%{version}.tar.gz
BuildArch:          noarch

BuildRequires:      python-dev
BuildRequires:      python-module-flask
BuildRequires:      python-module-setuptools

BuildRequires:      python3-devel
BuildRequires:      python3-module-flask
BuildRequires:      python3-module-setuptools
Source44: import.info


%description
Simple flask plugin allowing to override static files, making theming flask
applications really easy.


%package -n python-module-flask-multistatic
Summary:        %{sum}
Group:          Development/Python
Requires:       python-module-flask

%{?python_provide:%python_provide python2-%{modname}}

%description -n python-module-flask-multistatic
Simple flask plugin allowing to override static files, making theming flask
applications really easy.



%package -n python3-module-flask-multistatic
Summary:            %{sum}
Group:              Development/Python
Requires:           python3-module-flask

%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-module-flask-multistatic
Simple flask plugin allowing to override static files, making theming flask
applications really easy.


%prep
%setup -q -n %{modname}-%{version}


rm -rf %{modname}.egg-info


%build
%python_build
%python3_build


%install
%python_install
%python3_install


%files -n python-module-flask-multistatic
%doc README.rst
%doc --no-dereference LICENSE
%{python_sitelibdir_noarch}/flask_multistatic.py*
%{python_sitelibdir_noarch}/flask_multistatic-%{version}*

%files -n python3-module-flask-multistatic
%doc README.rst
%doc --no-dereference LICENSE
%{python3_sitelibdir_noarch}/flask_multistatic.py*
%{python3_sitelibdir_noarch}/__pycache__/flask_multistatic*
%{python3_sitelibdir_noarch}/flask_multistatic-%{version}-*




%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_7
- update by mgaimport

* Sat Apr 07 2018 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_6
- new version

